<?php
/**
 * Checks XenForo version before add-on install.
 * Removes Legend cache for uninstall
 * 
 */
class PixelExit_ForumStats_Install_Controller
{
    public static function installer($installedAddon)
    {
        if (XenForo_Application::$versionId < 1020031)
        {
            // note: this can't be phrased
            throw new XenForo_Exception('This add-on requires XenForo 1.2.0 Beta 1 or higher.', true);
        }
    }
	public static function uninstall()
	{
		XenForo_Application::setSimpleCacheData('peForumStatsLegend', false);
	}
}